org.jbpm.services.task.impl.model

## Class PeopleAssignmentsImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.PeopleAssignmentsImpl

- All Implemented Interfaces:
    Externalizable, Serializable, org.kie.api.task.model.PeopleAssignments, org.kie.internal.task.api.model.InternalPeopleAssignments

      @Embeddable
      public class PeopleAssignmentsImpl
      extends Object
      implements org.kie.internal.task.api.model.InternalPeopleAssignments

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeopleAssignmentsImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getBusinessAdministrators()`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getExcludedOwners()`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getPotentialOwners()`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getRecipients()`
    `org.kie.api.task.model.User` | `getTaskInitiator()`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getTaskStakeholders()`
    `int` | `hashCode()`
    `void` | `readExternal(ObjectInput in)`
    `void` | `setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)`
    `void` | `setExcludedOwners(List<org.kie.api.task.model.OrganizationalEntity> excludedOwners)`
    `void` | `setPotentialOwners(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)`
    `void` | `setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)`
    `void` | `setTaskInitiator(org.kie.api.task.model.User taskInitiator)`
    `void` | `setTaskStakeholders(List<org.kie.api.task.model.OrganizationalEntity> taskStakeholders)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeopleAssignmentsImpl

          public PeopleAssignmentsImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getTaskInitiator

          public org.kie.api.task.model.User getTaskInitiator()

      Specified by:
        `getTaskInitiator` in interface `org.kie.api.task.model.PeopleAssignments`

    - #### setTaskInitiator

          public void setTaskInitiator(org.kie.api.task.model.User taskInitiator)

      Specified by:
        `setTaskInitiator` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

    - #### getPotentialOwners

          public List<org.kie.api.task.model.OrganizationalEntity> getPotentialOwners()

      Specified by:
        `getPotentialOwners` in interface `org.kie.api.task.model.PeopleAssignments`

    - #### setPotentialOwners

          public void setPotentialOwners(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)

      Specified by:
        `setPotentialOwners` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

    - #### getExcludedOwners

          public List<org.kie.api.task.model.OrganizationalEntity> getExcludedOwners()

      Specified by:
        `getExcludedOwners` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

    - #### setExcludedOwners

          public void setExcludedOwners(List<org.kie.api.task.model.OrganizationalEntity> excludedOwners)

      Specified by:
        `setExcludedOwners` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

    - #### getTaskStakeholders

          public List<org.kie.api.task.model.OrganizationalEntity> getTaskStakeholders()

      Specified by:
        `getTaskStakeholders` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

    - #### setTaskStakeholders

          public void setTaskStakeholders(List<org.kie.api.task.model.OrganizationalEntity> taskStakeholders)

      Specified by:
        `setTaskStakeholders` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

    - #### getBusinessAdministrators

          public List<org.kie.api.task.model.OrganizationalEntity> getBusinessAdministrators()

      Specified by:
        `getBusinessAdministrators` in interface `org.kie.api.task.model.PeopleAssignments`

    - #### setBusinessAdministrators

          public void setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)

      Specified by:
        `setBusinessAdministrators` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

    - #### getRecipients

          public List<org.kie.api.task.model.OrganizationalEntity> getRecipients()

      Specified by:
        `getRecipients` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

    - #### setRecipients

          public void setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)

      Specified by:
        `setRecipients` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.